﻿using System;
using System.Web.Mvc;
using ThinkGeo.MapSuite.Core;
using ThinkGeo.MapSuite.MvcEdition;

namespace DisplayASimpleMapForMvc.Controllers
{
    public class IndexController : Controller
    {
        //
        // GET: /UseDraggableMarkers/

        public ActionResult Index()
        {
            return View();
        }

        [MapActionFilter]
        public string AddPopups(Map map, GeoCollection<object> args)
        {
            map.Popups.Clear();

            PointShape centerPoint = map.CurrentExtent.GetCenterPoint();
            int factorX = 50;
            int factorY = 20;
            Random random = new Random();
            for (int i = 0; i < 10; i++)
			{
                PointShape point = new PointShape(centerPoint.X + random.Next(factorX), centerPoint.Y + random.Next(factorY));
                CloudPopup popup = new CloudPopup("Popup" + i, point, "this is a popup"+i, 200, 200, false, true);
                popup.IsVisible = false;
                map.Popups.Add(popup);
			}

            return map.Popups.ToJson();
        }

        [MapActionFilter]
        public ActionResult ShowPopups(Map map, GeoCollection<object> args)
        {
            foreach (var item in map.Popups)
            {
                item.IsVisible = true;
            }
            return View();
        }

    }
}
